rotatelogs(8)

NAME
rotatelogs - rotate Apache logs without having to kill the server

SYNOPSIS
rotatelogs logfile rotationtime [offset]

DESCRIPTION
rotatelogs is a simple program for use in conjunction with Apache's piped logfile feature, which can be used like this:
CustomLog "|bin/rotatelogs /var/logs/logfile 86400" common This creates the files /var/logs/logfile.nnnn where nnnn is the system time at which the log nominally starts (this time will always be a multiple of the rotation time, so you can synchronize cron scripts with it). At the end of each rotation time (here after 24 hours) a new log is started.

OPTIONS

logfile
    The path plus basename of the logfile. If logfile includes any Otherwise, the suffix .nnnnnnnnnn is automatically added and is the time in seconds. Both formats compute the start time from the beginning of the current period.

rotationtime
    The rotation time in seconds.

offset
    The number of minutes offset from UTC. If omitted, zero is assumed and UTC is used. For example, to use local time in the zone UTC -5 hours, specify a value of -300 for this argument.

PORTABILITY
The following logfile format string substitutions should be supported by all strftime(3) implementations, see the strftime(3) man page for library-specific extensions.

%A  full weekday name (localized)

%a  3-character weekday name (localized)

%B  full month name (localized)

%b  3-character month name (localized)

%c  date and time (localized)

%d  2-digit day of month

%H  2-digit hour (24 hour clock)

%I  2-digit hour (12 hour clock)

%j  3-digit day of year

%M  2-digit minute

%m  2-digit month

%p  am/pm of 12 hour clock (localized)

%S  2-digit second

%U  2-digit week of year (Sunday first day of week)

%W  2-digit week of year (Monday first day of week)

%w  1-digit weekday (Sunday first day of week)

%X  time (localized)

%x  date (localized)

%Y  4-digit year

%y  2-digit year

%Z  time zone name

%%  literal `%'

SEE ALSO
httpd(8)